| Flutter Windows Embedder |

Public Member Functions | List of all members
flutter::WindowBindingHandler Class Referenceabstract

`#include <window_binding_handler.h>`

Inheritance diagram for flutter::WindowBindingHandler:

## Public Member Functions
virtual | ~WindowBindingHandler ()=default
virtual void | SetView (WindowBindingHandlerDelegate *view)=0
virtual WindowsRenderTarget | GetRenderTarget ()=0
virtual PlatformWindow | GetPlatformWindow ()=0
virtual float | GetDpiScale ()=0
virtual bool | IsVisible ()=0
virtual PhysicalWindowBounds | GetPhysicalWindowBounds ()=0
virtual void | OnWindowResized ()=0
virtual void | UpdateFlutterCursor (const std::string &cursor_name)=0
virtual void | SetFlutterCursor (HCURSOR cursor)=0
virtual void | OnCursorRectUpdated (const Rect &rect)=0
virtual bool | OnBitmapSurfaceUpdated (const void *allocation, size_t row_bytes, size_t height)=0
virtual void | OnResetImeComposing ()=0
virtual PointerLocation | GetPrimaryPointerLocation ()=0
virtual void | SendInitialAccessibilityFeatures ()=0
virtual AlertPlatformNodeDelegate * | GetAlertDelegate ()=0
virtual ui::AXPlatformNodeWin * | GetAlert ()=0
virtual bool | NeedsVSync ()=0

## Detailed Description

Definition at line 47 of file window_binding_handler.h.

## Constructor & Destructor Documentation

## ◆ ~WindowBindingHandler()

virtual flutter::WindowBindingHandler::~WindowBindingHandler | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ GetAlert()

virtual ui::AXPlatformNodeWin* flutter::WindowBindingHandler::GetAlert | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ GetAlertDelegate()

virtual AlertPlatformNodeDelegate* flutter::WindowBindingHandler::GetAlertDelegate | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ GetDpiScale()

virtual float flutter::WindowBindingHandler::GetDpiScale | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ GetPhysicalWindowBounds()

virtual PhysicalWindowBounds flutter::WindowBindingHandler::GetPhysicalWindowBounds | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ GetPlatformWindow()

virtual PlatformWindow flutter::WindowBindingHandler::GetPlatformWindow | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ GetPrimaryPointerLocation()

virtual PointerLocation flutter::WindowBindingHandler::GetPrimaryPointerLocation | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ GetRenderTarget()

virtual WindowsRenderTarget flutter::WindowBindingHandler::GetRenderTarget | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ IsVisible()

virtual bool flutter::WindowBindingHandler::IsVisible | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ NeedsVSync()

virtual bool flutter::WindowBindingHandler::NeedsVSync | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ OnBitmapSurfaceUpdated()

virtual bool flutter::WindowBindingHandler::OnBitmapSurfaceUpdated | ( | const void * | allocation,
|  | size_t | row_bytes,
|  | size_t | height
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ OnCursorRectUpdated()

virtual void flutter::WindowBindingHandler::OnCursorRectUpdated | ( | const Rect & | rect | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ OnResetImeComposing()

virtual void flutter::WindowBindingHandler::OnResetImeComposing | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ OnWindowResized()

virtual void flutter::WindowBindingHandler::OnWindowResized | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ SendInitialAccessibilityFeatures()

virtual void flutter::WindowBindingHandler::SendInitialAccessibilityFeatures | ( |  | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ SetFlutterCursor()

virtual void flutter::WindowBindingHandler::SetFlutterCursor | ( | HCURSOR | cursor | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ SetView()

virtual void flutter::WindowBindingHandler::SetView | ( | WindowBindingHandlerDelegate * | view | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ UpdateFlutterCursor()

virtual void flutter::WindowBindingHandler::UpdateFlutterCursor | ( | const std::string & | cursor_name | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

The documentation for this class was generated from the following file:

- shell/platform/windows/window_binding_handler.h